import { JavaObject } from '../../../java/lang/JavaObject';
import { Vector } from '../../../java/util/Vector';
export declare class SchuelerListeEintrag extends JavaObject {
    id: number;
    nachname: String;
    vorname: String;
    idKlasse: Number;
    jahrgang: String;
    schulgliederung: String;
    status: String;
    idSchuljahresabschnitt: Number;
    readonly kurse: Vector<Number>;
    constructor();
    isTranspiledInstanceOf(name: string): boolean;
    static transpilerFromJSON(json: string): SchuelerListeEintrag;
    static transpilerToJSON(obj: SchuelerListeEintrag): string;
    static transpilerToJSONPatch(obj: Partial<SchuelerListeEintrag>): string;
}
export declare function cast_de_nrw_schule_svws_core_data_schueler_SchuelerListeEintrag(obj: unknown): SchuelerListeEintrag;
